NVIDIA 工程师为早期 Raspberry Pi 设备提供 Vulkan 支持

winniewei 提交于 周一, 06/22/2020
NVIDIA 工程师为早期 Raspberry Pi 设备提供 Vulkan 支持

今年年初时,Raspberry Pi 基金会开始为 Raspberry Pi 提供 Vulkan 驱动程序的支持,目前这一工作仍在进行中,但仅限于 Raspberry Pi 4 及将来的版本。从 Raspberry Pi 1 到 Raspberry Pi 3 Model B+,早期的版本没有这项功能。

为此,一位名为 Martin Thomas 的开发者编写了一套用于早期设备中的 VideoCore IV GPU 的 Vulkan 驱动程序。VideoCore 4 不完全符合 Vulkan,但这套低级 Vulkan 驱动程序最终成功启动了,它实现了 Vulkan 标准的子集。

Martin Thomas 是 NVIDIA 的图形工程师,他在过去两年中利用业余时间断断续续开发了该程序:RPi-VK-Driver。前两天,Thomas 本人宣布 RPi-VK-Driver 达到 1.0 版本。

NVIDIA 工程师为早期 Raspberry Pi 设备提供 Vulkan 支持

根据 Thomas 的介绍,与 OpenGL 驱动程序相比,它有着更快的速度、更好的性能。这得益于精确且可预测的内存管理和多线程命令提交。

RPi-VK-Driver 还提供了更广泛的功能集,例如 MSAA 支持、低级组件着色器和性能计数器。不过,它当前还不支持 GLSL 着色器。囿于硬件版本,还存在一些其他限制。Thomas 表示会在硬件允许的范围内尽可能严格地遵循 Vulkan 标准。

来源:开源中国

相关文章

Digi-Key